Name: liblbxutil
Version: 1.0.1
Release: alt1

Summary: LBX Utilities Library
License: MIT/X11
Group: System/Libraries

Url: http://xorg.freedesktop.org
Source: %name-%version.tar.bz2

Patch0: liblbxutil-1.0.0-alt-configure-xdmcp.patch

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

BuildRequires: gcc-c++ libXdmcp-devel libstdc++-devel pkg-config xorg-x11-proto-devel
BuildRequires: xorg-x11-util-macros zlib-devel

%description
LBX Utilities Library

%package devel
Summary: LBX Utilities Library and Header Files
Group: Development/C
PreReq: xorg-x11-proto-devel
Requires: %name = %version-%release libXdmcp-devel zlib-devel
Conflicts: XFree86-devel < 4.4 xorg-x11-devel <= 6.9.0

%description devel
%name-devel contains the libraries and header files needed to
develop programs which make use of %name.

%def_disable static

%prep
%setup -q

%patch0 -p1

%build
%__autoreconf
%configure \
	%{subst_enable static}
%make_build

%install
%make DESTDIR=%buildroot install

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%_libdir/*.so.*

%files devel
%_libdir/*.so
%_pkgconfigdir/*.pc

%changelog
* Fri May 19 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.0.1-alt1
- 1.0.1

* Sat Mar 18 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0-alt4
- fixed undefined symbols

* Mon Jan 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0-alt3
- added requires to %name-devel from buildrequires

* Fri Jan 20 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0-alt2
- fixed requires for %name-devel

* Mon Dec 26 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.99.3-alt1
- Xorg-7.0RC3

* Mon Nov 21 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.99.2-alt0.1
- initial build

